# Baseboard Management Controller (BMC)

### bikiniBottom

```
Login : root  
Password : hardiness-mystify-pretext
```

[http://192.168.1.69](http://192.168.1.69 "http://192.168.1.69")

```bash
# tpi -h
Usage: tpi [host] <options...>
Options: 
        -p, --power (on off status) Power management 
        -u, --usb (host device status) USB mode,Must be used with the node command
        -n, --node (1 2 3 4) USB selected node
        -r, --resetsw reset switch
        -U, --uart uart opt get or set
        -C, --cmd uart set cmd
        -F, --upgrade upgrade fw
        -f, --flash todo
        -h, --help usage
example: 
        $ tpi -p on //power on
        $ tpi -p off //power off
        $ tpi -u host -n 1 //USB uses host mode to connect to Node1
        $ tpi --uart=get -n 1 //get node1 uart info
        $ tpi --uart=set -n 1 --cmd=ls//set node1 uart cmd
        $ tpi --upgrade=/mnt/sdcard/xxxx.swu //upgrade fw
        $ tpi -r //reset switch
        
```

`vi /etc/network/interfaces`

```
# interface file auto-generated by buildroot

auto lo
iface lo inet loopback

auto eth0
iface eth0 inet static
  hwaddress ether 02:e4:fd:09:22:fb
  address 192.168.1.10
  netmask 255.255.255.0
  gateway 192.168.1.254
  pre-up /etc/network/nfs_check
  wait-delay 15
  hostname $(hostname)
```

`vi /etc/resolv.conf`

```
search lan # eth0
nameserver 192.168.1.254 # eth0
```

```bash
/etc/init.d/S40network restart

date -s @"$(curl -s "http://worldtimeapi.org/api/timezone/Europe/Paris" | sed -n 's/.*"unixtime":\([0-9]*\).*/\1/p')"

hwclock --systohc
```

- MAC Address : 02:e4:fd:09:22:fb
- Hosts password : transatlantique

#### Update

```
Check the root partition in use: Use df -h to check if /mnt/sdcard is mounted and to note which root partition is in use - ubi0_5 or ubi0_6.
```

```bash
scp path\\to\\the\\swu\\file root@192.168.1.10:/tmp
```

```
Create and execute a command: Use the firmware path and the partition information to create the command. If the partition in use is ubi05, flash ubi06 and vice versa.
```

```bash
swupdate -i /tmp/turing_pi_____.swu -e stable,upgrade_ubi6
```

#### Powering On All Nodes at Startup

By default, the Turing Pi 2 doesn't power on any nodes at startup. While this can be beneficial in certain scenarios, it might not be ideal in situations like recovering from a power outage. To alter this default behavior, a small startup script can be added. Create the file S99zallnodeson.sh in the /etc/init.d directory with the following content:

```bash
ssh root@192.168.1.10
vi /etc/init.d/S99zallnodeson.sh
```

```sh
#!/bin/sh  
while ! netstat -tuln | grep LISTEN | grep ':80 '; do sleep 1; done
```

##### Turn on all nodes

`tpi -p on` The name of the file must follow alphabetically the name S99hello.sh because the BMC server starts in the S99hello.sh.